Get batch price waterfall details for all line Items

Retrieves the price waterfall detail based on all line items.

Required Fields:

  • cartId (route) - required

Responses

  • 200 OK: batch price waterfall details are returned.
  • 204 No Content: no waterfall details found.
  • 422 Unprocessable Entity: the request could not be processed.
  • 500 Internal Server Error: an unexpected error occurred.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The cart identifier

Query Params
chartIds
array of strings

Specify the chart ids to be returned in the response

chartIds
primaryLineNumbers
array of int32s

Specify the primary line numbers to be returned in the response.

primaryLineNumbers
int32
Defaults to 1

Enter the page number of the line. For example, if there are 500 lines in the cart and page size is 25, then a page number can vary from 1 to 20.

int32
Defaults to 50

Enter the number of objects to be retrieved.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses
200

OK

204

No Content

500

Internal Server Error

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json